xmlpp::IStreamParserInputBuffer Class Reference

`#include <libxml++/io/istreamparserinputbuffer.h>`

Inheritance diagram for xmlpp::IStreamParserInputBuffer:
[legend]

## Public Member Functions

| IStreamParserInputBuffer (std::istream& input)
| ~IStreamParserInputBuffer () override
Public Member Functions inherited from xmlpp::ParserInputBuffer
| ParserInputBuffer ()
| ~ParserInputBuffer () override
_xmlParserInputBuffer* | cobj ()
| gives an access to the underlying libxml structure to the children More...
const _xmlParserInputBuffer* | cobj () const
| gives an access to the underlying libxml structure to the children More...

## Additional Inherited Members

Protected Member Functions inherited from xmlpp::NonCopyable
| NonCopyable ()
| NonCopyable (const NonCopyable&)=delete
virtual | ~NonCopyable ()
NonCopyable& | operator= (const NonCopyable&)=delete

## Constructor & Destructor Documentation

xmlpp::IStreamParserInputBuffer::IStreamParserInputBuffer | ( | std::istream & | input | ) |

Parameters

  input | The istream datas will be read from

xmlpp::IStreamParserInputBuffer::~IStreamParserInputBuffer | ( |  | ) |

override